# PServiceHTML Class Reference

`#include <httpsvc.h>`

Inheritance diagram for PServiceHTML:

List of all members.

## Public Types

| NoOptions = 0
| NeedSignature = 1
| LoadFromFile = 2
| NoURLOverride = 4
| NoSignatureForFile = 8
enum | MacroOptions { NoOptions = 0, NeedSignature = 1, LoadFromFile = 2, NoURLOverride = 4, NoSignatureForFile = 8 }

## Public Member Functions

| PServiceHTML (const char *title, const char *help=NULL, const char *helpGif="help.gif")
PString | ExtractSignature (PString &out)
PString | CalculateSignature ()
PBoolean | CheckSignature ()

## Static Public Member Functions

static PString | ExtractSignature (const PString &html, PString &out, const char *keyword="#equival")
static PString | CalculateSignature (const PString &out)
static PString | CalculateSignature (const PString &out, const PTEACypher::Key &sig)
static PBoolean | CheckSignature (const PString &html)
static bool | ProcessMacros (PHTTPRequest &request, PString &text, const PString &filename, unsigned options)
static bool | SpliceMacro (PString &text, const PString &tokens, const PString &value)

## Member Enumeration Documentation

enum PServiceHTML::MacroOptions

Enumerator:

  NoOptions |
  NeedSignature |
  LoadFromFile |
  NoURLOverride |
  NoSignatureForFile |

## Constructor & Destructor Documentation

PServiceHTML::PServiceHTML | ( | const char * | title,
|  | const char * | help = `NULL`,
|  | const char * | helpGif = `"help.gif"` |
| ) |  |  |

## Member Function Documentation

static PString PServiceHTML::CalculateSignature | ( | const PString & | out,
|  | const PTEACypher::Key & | sig |
| ) |  |  | `[static]`

static PString PServiceHTML::CalculateSignature | ( | const PString & | out | ) | `[static]`

PString PServiceHTML::CalculateSignature | ( |  | ) |

static PBoolean PServiceHTML::CheckSignature | ( | const PString & | html | ) | `[static]`

PBoolean PServiceHTML::CheckSignature | ( |  | ) |

static PString PServiceHTML::ExtractSignature | ( | const PString & | html,
|  | PString & | out,
|  | const char * | keyword = `"#equival"` |
| ) |  |  | `[static]`

PString PServiceHTML::ExtractSignature | ( | PString & | out | ) |

static bool PServiceHTML::ProcessMacros | ( | PHTTPRequest & | request,
|  | PString & | text,
|  | const PString & | filename,
|  | unsigned | options |
| ) |  |  | `[static]`

static bool PServiceHTML::SpliceMacro | ( | PString & | text,
|  | const PString & | tokens,
|  | const PString & | value |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- httpsvc.h